<template>
  <EasyPlayer live :muted="true" ref="easyPlayer" :reconnection="true" v-model="url" :video-title="'路障设备'"
    class="easy-player"></EasyPlayer>
</template>

<script>
import EasyPlayer from '@easydarwin/easyplayer'

export default {
  name: 'VideoComponent',
  components: { EasyPlayer },
  data() {
    return {
      url: '', // 视频URL
      rowInfo: {}
    }
  },
  methods: {
    // 视频获取
    getUrlAndPlay(rowInfo, index) {
      // 销毁视频组件
      this.$refs.easyPlayer?.destroyPlayer()
      this.url = ''
      // 保存信息
      this.rowInfo = rowInfo
      const { videoCode } = rowInfo
      if (videoCode) {
        let codeArr = videoCode.split(',')
        let data = this.qs.stringify({
          code: codeArr[index],
          scheme: 'HLS'
        })
        let param = {
          url: '${portal}/biz/catalog/base/point/previewURLs',
          data,
          method: 'post',
          headers: {
            'Content-type': 'application/x-www-form-urlencoded'
          }
        }
        this.$http.request(param).then(
          (resp) => {
            if (resp.data && resp.data.value) {
              let value = JSON.parse(resp.data.value)
              this.url = value.url
            }
          },
          (error) => {
            console.log('获取播放地址', error)
            this.$message({
              message: '获取播放地址失败，请重试！',
              type: 'error'
            })
          })
      }
    }

  }
}
</script>
<style lang="scss" scoped>
::v-deep .el-dialog__body {
  padding-top: 15px;

  .easy-player {
    height: 600px;

    .easy-player-loading {
      z-index: 100;
    }
  }
}
</style>
